Last Comment Bug 817429 - Accept candidate messages that are zero numbered
: Accept candidate messages that are zero numbered
Status: RESOLVED FIXED
[WebRTC],[blocking-webrtc-interop],[b...
:
Product: Core
Classification: Components
Component: WebRTC: Signaling (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla20
Assigned To: Jan-Ivar Bruaroey [:jib]
: Jason Smith [:jsmith]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-02 13:32 PST by Eric Rescorla (:ekr)
Modified: 2012-12-23 14:06 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Accept candidate messages that are zero numbered (1.07 KB, patch)
2012-12-02 13:32 PST, Eric Rescorla (:ekr)
no flags Details | Diff | Splinter Review
Accept candidate messages that are zero numbered (1.08 KB, patch)
2012-12-17 10:01 PST, Jan-Ivar Bruaroey [:jib]
rjesup: review+
rjesup: checkin+
Details | Diff | Splinter Review

Description Eric Rescorla (:ekr) 2012-12-02 13:32:26 PST

    
Comment 1 Eric Rescorla (:ekr) 2012-12-02 13:32:48 PST
Created attachment 687554 [details] [diff] [review]
Accept candidate messages that are zero numbered
Comment 2 Eric Rescorla (:ekr) 2012-12-02 13:35:09 PST
http://dev.w3.org/2011/webrtc/editor/webrtc.html#rtcicecandidate-type

Requires that candidates are 0-based indexed. We use 1-based indexing internally for m-lines.
This should be fixed in the JS.

Here is a prototype patch that needs to be cleaned-up and landed.
Comment 3 Jan-Ivar Bruaroey [:jib] 2012-12-17 10:01:42 PST
Created attachment 692999 [details] [diff] [review]
Accept candidate messages that are zero numbered
Comment 4 [:jesup] on pto until 2016/8/1 Randell Jesup 2012-12-18 06:09:59 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/08e0e0862006
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-12-18 16:40:15 PST
https://hg.mozilla.org/mozilla-central/rev/08e0e0862006

Note You need to log in before you can comment on or make changes to this bug.